package com.fs.store.service;

import com.fs.store.domain.FsIllnessLibrary;
import com.fs.store.vo.FsIllnessLibraryVO;

import java.util.List;

/**
 * 中医疾病Service接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface IFsIllnessLibraryService
{
    /**
     * 查询中医疾病
     *
     * @param illnessId 中医疾病主键
     * @return 中医疾病
     */
    public FsIllnessLibrary selectFsIllnessLibraryByIllnessId(Long illnessId);

    /**
     * 查询中医疾病列表
     *
     * @param fsIllnessLibrary 中医疾病
     * @return 中医疾病集合
     */
    public List<FsIllnessLibrary> selectFsIllnessLibraryList(FsIllnessLibrary fsIllnessLibrary);

    /**
     * 新增中医疾病
     *
     * @param fsIllnessLibrary 中医疾病
     * @return 结果
     */
    public int insertFsIllnessLibrary(FsIllnessLibrary fsIllnessLibrary);

    /**
     * 修改中医疾病
     *
     * @param fsIllnessLibrary 中医疾病
     * @return 结果
     */
    public int updateFsIllnessLibrary(FsIllnessLibrary fsIllnessLibrary);

    /**
     * 批量删除中医疾病
     *
     * @param illnessIds 需要删除的中医疾病主键集合
     * @return 结果
     */
    public int deleteFsIllnessLibraryByIllnessIds(Long[] illnessIds);

    /**
     * 删除中医疾病信息
     *
     * @param illnessId 中医疾病主键
     * @return 结果
     */
    public int deleteFsIllnessLibraryByIllnessId(Long illnessId);

    List<FsIllnessLibraryVO> selectFsIllnessLibraryVOByIllnessName(String name);


}
